Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1040)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1066)
@@ -22,20 +22,32 @@
 ScalabilityMask               : 3           # Scalability Mask             ( 2: View Scalability, 3: View + Depth Scalability )
 DimensionIdLen                : 1 2         # Number of bits to store Ids,  per scalability dimension, (m)
-ViewOrderIndex                : 0 0 1 1     # ViewOrderIndex (m)
+ViewOrderIndex                : 0 0 1 1     # ViewOrderIndex, per layer (m)
 DepthFlag                     : 0 1 0 1     # DepthFlag  (m) 
-LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling ) (m)
+LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling, otherwise per layer ) (m)
 SplittingFlag                 : 0           # Splitting Flag 
-ViewId                        : 1 0         # ViewId per ViewOrderIndex (m)
+ViewId                        : 1 0         # ViewId, per ViewOrderIndex (m)
 
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 3           # Number of layer sets    
-LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
-LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
-LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
-
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set 2
+
+#======== VPS / Output layer sets ================
 DefaultTargetOutputLayerIdc   : 0           # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
 OutputLayerSetIdx             : 2           # Indices of layer sets used to derive additional output layer sets
 LayerIdsInAddOutputLayerSet_0 : 2 3         # Indices in VPS of output layers in additional output layer set
-ProfileLevelTierIdx           : 0 0 0 0     # Indices to profile level tier (TBD)
+
+#======== VPS / PTLI ================
+Profile                       : main main 3d-main          # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+InblFlag                      : 0    0    0                # Inbl    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+
+ProfileTierLevelIdx_0         : 1                          # VpsProfileTierLevel indices of layers in output layer set 0 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_1         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 1 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_2         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_3         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 3 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_4         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 4 (m) (should be -1, when layer is not necessary)
 
 #======== VPS / Dependencies ================
@@ -164,9 +176,11 @@
 AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
+IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
 ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Dispary refined by depth DoNBDV
+DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
 IvMvScaling                         : 1                # Interview motion vector scaling
 SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-
+SubPUMPILog2Size                    : 3	               # Log2 of sub-PU size for MPI (3...6)
+DBBP                                : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1040)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1066)
@@ -13,13 +13,38 @@
 ReconFile_1                   : rec_2.yuv                         
 
-NumberOfLayers                : 2           # number of layers to be coded
+NumberOfLayers                : 2           # Number of layers
 
 #======== VPS ============================
-ScalabilityMask               : 1           # Scalability Mask             ( 1: View Scalability, shall be 1 for MV-HEVC )
+ScalabilityMask               : 2           # Scalability Mask             ( 2: View Scalability, 3: View + Depth Scalability )
 DimensionIdLen                : 3           # Number of bits to store Ids,  per scalability dimension, (m)
-ViewId                        : 0 1         # ViewId  (m) 
-LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling ) (m)
+ViewOrderIndex                : 0 1         # ViewOrderIndex, per layer (m)
+LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling, otherwise per layer ) (m)
 SplittingFlag                 : 0           # Splitting Flag 
+ViewId                        : 1 0         # ViewId, per ViewOrderIndex (m)
 
+#======== VPS/ Layer sets ================
+VpsNumLayerSets               : 2            # Number of layer sets    
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+
+#======== VPS / Output layer sets ================
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             : 1            # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+
+#======== VPS / PTLI ================
+Profile                       : main main multiview-main   # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+InblFlag                      : 0    0    0                # Inbl    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+
+ProfileTierLevelIdx_0         : 1                          # VpsProfileTierLevel indices of layers in output layer set 0 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_1         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 1 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_2         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+
+#======== VPS / Dependencies ================
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1040)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1066)
@@ -26,23 +26,38 @@
 ScalabilityMask               : 3           # Scalability Mask             ( 2: View Scalability, 3: View + Depth Scalability )
 DimensionIdLen                : 1 2         # Number of bits to store Ids,  per scalability dimension, (m)
-ViewOrderIndex                : 0 0 1 1 2 2 # ViewOrderIndex (m)
+ViewOrderIndex                : 0 0 1 1 2 2 # ViewOrderIndex, per layer (m)
 DepthFlag                     : 0 1 0 1 0 1 # DepthFlag  (m) 
-LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling ) (m)
+LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling, otherwise per layer ) (m)
 SplittingFlag                 : 0           # Splitting Flag 
-ViewId                        : 1 0 2       # ViewId per ViewOrderIndex (m)
+ViewId                        : 1 0 2       # ViewId, per ViewOrderIndex (m)
 
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
-LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
-LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
-LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
-
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set 3
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set 4
+
+#======== VPS / Output layer sets ================
 DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
 OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
-ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of output layers in additional output layer set 1
+
+
+#======== VPS / PTLI ================
+Profile                       : main main 3d-main          # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+InblFlag                      : 0    0    0                # Inbl    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+
+ProfileTierLevelIdx_0         : 1                          # VpsProfileTierLevel indices of layers in output layer set 0 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_1         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 1 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_2         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_3         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 3 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_4         : 1 2 2 2 2 2                # VpsProfileTierLevel indices of layers in output layer set 4 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_5         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 5 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_6         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 6 (m) (should be -1, when layer is not necessary)
 
 #======== VPS / Dependencies ================
@@ -179,9 +194,11 @@
 AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
+IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
 ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Dispary refined by depth DoNBDV
+DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
 IvMvScaling                         : 1                # Interview motion vector scaling
 SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
-
+SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
+DBBP                                : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1040)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1066)
@@ -15,12 +15,47 @@
 ReconFile_2                   : rec_6.yuv                           
 
-NumberOfLayers                : 3           # number of layers to be coded
+NumberOfLayers                : 3           # Number of layers
 
 #======== VPS ============================
-ScalabilityMask               : 1           # Scalability Mask             ( 1: View Scalability, shall be 1 for MV-HEVC )
+ScalabilityMask               : 2           # Scalability Mask             ( 2: View Scalability, 3: View + Depth Scalability )
 DimensionIdLen                : 3           # Number of bits to store Ids,  per scalability dimension, (m)
-ViewId                        : 0 1 2       # ViewId  (m) 
-LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling ) (m)
+ViewOrderIndex                : 0 1 2       # ViewOrderIndex, per layer (m)
+LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling, otherwise per layer ) (m)
 SplittingFlag                 : 0           # Splitting Flag 
+ViewId                        : 1 0 2       # ViewId, per ViewOrderIndex (m)
+
+#======== VPS / Layer sets ================
+VpsNumLayerSets               : 4            # Number of layer sets    
+LayerIdsInSet_0               : 0            # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1          # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 2          # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 2        # Indices in VPS of layers in layer set 3
+
+#======== VPS / Output layer sets ================
+DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
+
+OutputLayerSetIdx             : 1 2          # Indices of layer sets used to derive additional output layer sets
+LayerIdsInAddOutputLayerSet_0 : 1            # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 2            # Indices in VPS of output layers in additional output layer set 1
+
+#======== VPS / PTLI ================
+Profile                       : main main 3d-main          # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+InblFlag                      : 0    0    0                # Inbl    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+
+ProfileTierLevelIdx_0         : 1                          # VpsProfileTierLevel indices of layers in output layer set 0 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_1         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 1 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_2         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_3         : 1 2 2                      # VpsProfileTierLevel indices of layers in output layer set 3 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_4         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 4 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_5         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 5 (m) (should be -1, when layer is not necessary)
+
+#======== VPS / Dependencies ================
+DirectRefLayers_1             : 0           # Indices in VPS of direct reference layers 
+DirectRefLayers_2             : 0           # Indices in VPS of direct reference layers 
+
+DependencyTypes_1             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
+DependencyTypes_2             : 2           # Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion
 
 #========== Camera parameters ==========
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/deltaCfg_3view+depth_AllIntra.cfg	(revision 1066)
@@ -0,0 +1,64 @@
+#Delta compared to baseCfg_3view+depth.cfg
+#======== Coding Structure =============
+IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
+GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
+
+Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
+FrameI_l1:  I  0  0  0.442   0  0  0  0  0                  0                    0             
+Frame1_l1 : B  1  1  0.442   0  0  0  4  0                  0                    0
+FrameI_l2 : I  0  0  0.442   0  0  0  0  0                  0                    0
+Frame1_l2 : B  1  1  0.442   0  0  0  4  0                  0                    0
+FrameI_l3 : I  0  0  0.442   0  0  0  0  0                  0                    0
+Frame1_l3 : B  1  1  0.442   0  0  0  4  0                  0                    0
+FrameI_l4 : I  0  0  0.442   0  0  0  0  0                  0                    0
+Frame1_l4 : B  1  1  0.442   0  0  0  4  0                  0                    0
+FrameI_l5 : I  0  0  0.442   0  0  0  0  0                  0                    0
+Frame1_l5 : B  1  1  0.442   0  0  0  4  0                  0                    0
+
+Frame2:   
+Frame3:   
+Frame4:   
+Frame5:   
+Frame6:   
+Frame7:   
+Frame8:   
+
+Frame2_l1:             
+Frame3_l1:             
+Frame4_l1:             
+Frame5_l1:             
+Frame6_l1:             
+Frame7_l1:             
+Frame8_l1:             
+
+Frame2_l2:
+Frame3_l2:
+Frame4_l2:
+Frame5_l2:
+Frame6_l2:
+Frame7_l2:
+Frame8_l2:
+
+Frame2_l3:
+Frame3_l3:
+Frame4_l3:
+Frame5_l3:
+Frame6_l3:
+Frame7_l3:
+Frame8_l3:
+
+Frame2_l4:
+Frame3_l4:
+Frame4_l4:
+Frame5_l4:
+Frame6_l4:
+Frame7_l4:
+Frame8_l4:
+
+Frame2_l5:
+Frame3_l5:
+Frame4_l5:
+Frame5_l5:
+Frame6_l5:
+Frame7_l5:
+Frame8_l5: