Index: /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1074)
+++ /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1075)
@@ -103,8 +103,6 @@
 , m_temporalLayerNonReferenceFlag ( false )
 , m_enableTMVPFlag                ( true )
-#if I0044_SLICE_TMVP
+#if H_MV
 , m_availableForTMVPRefFlag       ( true )
-#endif
-#if H_MV
 , m_refPicSetInterLayer0           ( NULL )
 , m_refPicSetInterLayer1           ( NULL )
@@ -724,7 +722,5 @@
 
         assert( rpsCurrList[li][ orgIdx ] != NULL ); 
-#if DISCARDABLE_PIC_RPS
         assert( rpsCurrList[li][ orgIdx ]->getSlice(0)->getDiscardableFlag() == 0 );    // Inter-layer RPS shall not contain picture with discardable_flag = 1.
-#endif
         m_apcRefPicList    [li][rIdx] = rpsCurrList    [li][ orgIdx ];
         m_bIsUsedAsLongTerm[li][rIdx] = usedAsLongTerm [li][ orgIdx ] ; 
Index: /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1074)
+++ /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1075)
@@ -1206,7 +1206,5 @@
   Void    setLayerSetIdxForOlsMinus1( Int outLayerSetIdx, Int val )        { m_layerSetIdxForOlsMinus1[ outLayerSetIdx ]  = val; } 
   Int     getLayerSetIdxForOlsMinus1( Int outLayerSetIdx )                 { return m_layerSetIdxForOlsMinus1[ outLayerSetIdx ]; } 
-#if VPS_MISC_UPDATES
   Int     getLayerSetIdxForOlsMinus1Len( Int outLayerSetIdx )              { return gCeilLog2( getNumLayerSets() ); } 
-#endif
 
   Void    setOutputLayerFlag( Int outLayerSetIdx, Int i, Bool flag )       { m_outputLayerFlag[ outLayerSetIdx ][ i ] = flag; } 
@@ -2488,5 +2486,5 @@
 
   Bool       m_enableTMVPFlag;
-#if I0044_SLICE_TMVP
+#if H_MV
   Bool       m_availableForTMVPRefFlag;
 #endif
@@ -2828,5 +2826,5 @@
   Void      setEnableTMVPFlag     ( Bool   b )    { m_enableTMVPFlag = b; }
   Bool      getEnableTMVPFlag     ()              { return m_enableTMVPFlag;}
-#if I0044_SLICE_TMVP
+#if H_MV
   Void      setAvailableForTMVPRefFlag     ( Bool   b )    { m_availableForTMVPRefFlag = b; }
   Bool      getAvailableForTMVPRefFlag     ()              { return m_availableForTMVPRefFlag;}
Index: /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1074)
+++ /branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1075)
@@ -368,17 +368,4 @@
 // TBD: Check if integration is necessary. 
 
-
-
-//Added by Qualcomm for HLS
-#define DISCARDABLE_PIC_RPS              1      ///< JCT3V-G0131: Inter-layer RPS and temporal RPS should not contain picture with discardable_flag equal to 1
-#define VPS_MISC_UPDATES                 1      ///< Misc updates:JCT3V-0240, 
-#define NON_REF_NAL_TYPE_DISCARDABLE     1      ///< JCT3V-G0031: If discardable picture is a non-IRAP, it must be a non-referenced sub-layer picture
-#define INFERENCE_POC_MSB_VAL_PRESENT    1      ///< JCT3V-H0042: poc_msb_val_present_flag shall be equal to 0 when slice_header_extension_length is (inferred to be ) equal to 0
-#define INFERENCE_POC_RESET_INFO_PRESENT 1      ///< JCT3V-H0042: Infer the value of poc_reset_info_present_flag to be equal to 0 when no pps extension / pps extension for multilayer.
-#define I0044_SLICE_TMVP                 1      ///< JCT3V-I0044: Regarding slice_temporal_mvp_enabled_flag
-#define I0045_BR_PR_ADD_LAYER_SET        1      ///< JCT3V-I0045: Signalling of bit-rate and picture rate for additional layer set
-#define I0045_VPS_VUI_VST_PARAMS         1      ///< JCT3V-I0045: Related to signalling of VST parameters of the base layer.
-
-
 #define H_MV_HLS10_GEN                       0  // General changes (not tested)
 
@@ -429,16 +416,4 @@
 //#define H_MV_HLS_7_SEI_P0133_28  0 // (SEI/P0133/Recovery point SEI) #28 Decision: Adopt change to recover point semantics only (-v3)
 //#define H_MV_HLS_7_SEI_P0123_25  0 // (SEI/P0123/Alpha channel info) #25 Add alpha channel information SEI message Decision: Adopt. Constrain the bit depth indicated to be equal to the coded bit depth of the aux picture. 
-
-// Auxiliary picture related
-//#define H_MV_HLS_8_AUX_NODOC_40  0 // #40 (AUX    /NODOC/primary pic) Clarify that an auxiliary picture can be associated with more than one primary picture. Consider if the language associating an alpha auxiliary picture with a primary picture in the semantics of dimension_id[ ][ ] near the AuxId derivation could be moved to the alpha SEI message.
-//#define H_MV_HLS_8_AUX_Q0081_2   0 // #2  (AUX    /Q0081/primary) Decision: Remove the constraint that an alpha picture must be accompanied by a primary picture.
-//#define H_MV_HLS_8_AUX_Q0078_44  0 // #44 (AUX    /Q0078/concepts Auxiliary picture concepts:
-//#define H_MV_HLS_8_AUX_Q0078_39  0 // #39 (AUX    /Q0078/conformance): mechanism for signaling a profile/tier/level conformance point for auxiliary pictures
-
-// Profiles
-//#define H_MV_HLS_8_PRO_NODOC_50  0 // #50 (PROF   /NODOC/Monochrome) Add Monochrome 8-bit profile
-//#define H_MV_HLS_8_PRO_NODOC_31  0 // #31 (PROF   /NODOC/Profile constraint) Add a profile constraint to the Scalable Main, Scalable Main 10, and Stereo Main profiles against allowing layers with duplicate values of DependencyId (or ViewOrderIdx) when AuxId equal to 0.
-//#define H_MV_HLS_8_PRO_H0126_45  0 // #45 (PROF   /H0126/Stereo main) Phrasing used in specifying the Stereo Main profile. 
-//#define H_MV_HLS_8_PRO_Q0160_33  0 // #33 (PROF   /Q0160/alt_output_flag) v2: Add constraint to stereo main profile that it must contain exactly two texture views, and add a note to state that the constraint implies a restriction that alt_output_flag equal to 0. 
 
 // DPB
Index: /branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1074)
+++ /branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1075)
@@ -1480,9 +1480,5 @@
     if( i >= pcVPS->getNumLayerSets( ) )    
     {        
-#if !VPS_MISC_UPDATES
-      READ_UVLC( uiCode,      "layer_set_idx_for_ols_minus1[i]" ); pcVPS->setLayerSetIdxForOlsMinus1( i, uiCode ); 
-#else
       READ_CODE( pcVPS->getLayerSetIdxForOlsMinus1Len( i ), uiCode, "layer_set_idx_for_ols_minus1[i]" ); pcVPS->setLayerSetIdxForOlsMinus1( i, uiCode ); 
-#endif
     }
 
@@ -1738,5 +1734,4 @@
   }
 
-#if I0045_VPS_VUI_VST_PARAMS
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
   {
@@ -1760,21 +1755,5 @@
     }
   }
-#else
-  if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      READ_CODE( 4, uiCode, "vps_video_signal_info_idx" ); pcVPSVUI->setVpsVideoSignalInfoIdx( i, uiCode );
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i ) >= 0 && pcVPSVUI->getVpsVideoSignalInfoIdx( i ) <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1() );
-    }
-  }
-  else
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      pcVPSVUI->setVpsVideoSignalInfoIdx( i, pcVPSVUI->getVideoSignalInfoIdxPresentFlag() ? 0 : i ); 
-    }
-  }
-#endif
+
   READ_FLAG( uiCode, "tiles_not_in_use_flag" ); pcVPSVUI->setTilesNotInUseFlag( uiCode == 1 );
   if( !pcVPSVUI->getTilesNotInUseFlag() ) 
@@ -1851,7 +1830,5 @@
   if ( pcVPSVUI->getVpsVuiBspHrdPresentFlag( ) )
   {
-#if VPS_MISC_UPDATES
     assert(pcVPS->getTimingInfo()->getTimingInfoPresentFlag() == 1);
-#endif
     parseVpsVuiBspHrdParameters( pcVPS ); 
   }
@@ -2297,5 +2274,4 @@
       esb++; 
       READ_FLAG( uiCode, "discardable_flag" ); rpcSlice->setDiscardableFlag( uiCode == 1 );
-#if NON_REF_NAL_TYPE_DISCARDABLE
       if ( uiCode == 1 )
       {
@@ -2306,5 +2282,4 @@
           rpcSlice->getNalUnitType() != NAL_UNIT_CODED_SLICE_RASL_R);
       }
-#endif
     }
 
@@ -2594,5 +2569,5 @@
       if (rpcSlice->getSPS()->getTMVPFlagsPresent())
       {
-#if I0044_SLICE_TMVP
+#if H_MV
         READ_FLAG( uiCode, "slice_temporal_mvp_enabled_flag" );
 #else
@@ -3034,5 +3009,4 @@
 #endif
   }
-#if INFERENCE_POC_MSB_VAL_PRESENT
   else
   {
@@ -3040,7 +3014,4 @@
     rpcSlice->setPocMsbValPresentFlag( false );
   }
-#endif
-
-
   m_pcBitstream->readByteAlignment();
 
Index: /branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- /branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1074)
+++ /branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1075)
@@ -944,8 +944,6 @@
      xResetPocInPicBuffer();
    }
-#endif
-   
-#if I0044_SLICE_TMVP
-  if ( m_apcSlicePilot->getTLayer() == 0 && m_apcSlicePilot->getEnableTMVPFlag() == 0 )
+
+   if ( m_apcSlicePilot->getTLayer() == 0 && m_apcSlicePilot->getEnableTMVPFlag() == 0 )
   {
     //update all pics in the DPB such that they cannot be used for TMPV ref
@@ -1193,5 +1191,5 @@
 #endif
     // For generalized B
-#if I0044_SLICE_TMVP
+#if H_MV
     if( m_layerId > 0 && !pcSlice->isIntra() && pcSlice->getEnableTMVPFlag() )
     {
Index: /branches/HTM-12.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/HTM-12.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1074)
+++ /branches/HTM-12.1-dev0/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1075)
@@ -1254,9 +1254,5 @@
     if( i >= pcVPS->getNumLayerSets( ) )    
     {      
-#if !VPS_MISC_UPDATES
-      WRITE_UVLC( pcVPS->getLayerSetIdxForOlsMinus1( i ),      "layer_set_idx_for_ols_minus1[i]" );
-#else
       WRITE_CODE( pcVPS->getLayerSetIdxForOlsMinus1( i ), pcVPS->getLayerSetIdxForOlsMinus1Len( i ) ,      "layer_set_idx_for_ols_minus1[i]" );
-#endif
     }
 
@@ -1580,23 +1576,8 @@
   if( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() && pcVPSVUI->getVpsNumVideoSignalInfoMinus1() > 0 )
   {
-#if I0045_VPS_VUI_VST_PARAMS
     for( Int i = pcVPS->getVpsBaseLayerInternalFlag() ? 0 : 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
     {
       WRITE_CODE( pcVPSVUI->getVpsVideoSignalInfoIdx( i ), 4, "vps_video_signal_info_idx" );
     }
-#else
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      WRITE_CODE( pcVPSVUI->getVpsVideoSignalInfoIdx( i ), 4, "vps_video_signal_info_idx" );
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i ) >= 0 && pcVPSVUI->getVpsVideoSignalInfoIdx( i ) <= pcVPSVUI->getVpsNumVideoSignalInfoMinus1() );
-    }
-  }
-  else
-  {
-    for( Int i = 1; i <=  pcVPS->getMaxLayersMinus1(); i++ )
-    {
-      assert( pcVPSVUI->getVpsVideoSignalInfoIdx( i  ) == ( pcVPSVUI->getVideoSignalInfoIdxPresentFlag() ? 0 : i ) ); 
-    }
-#endif
   }
   WRITE_FLAG( pcVPSVUI->getTilesNotInUseFlag( ) ? 1 : 0 , "tiles_not_in_use_flag" );
@@ -1921,5 +1902,4 @@
       esb++; 
       WRITE_FLAG( pcSlice->getDiscardableFlag( ) ? 1 : 0 , "discardable_flag" );
-#if NON_REF_NAL_TYPE_DISCARDABLE
       if (pcSlice->getDiscardableFlag( ))
       {
@@ -1930,5 +1910,4 @@
           pcSlice->getNalUnitType() != NAL_UNIT_CODED_SLICE_RASL_R);
       }
-#endif
     }
 
@@ -2091,5 +2070,5 @@
       if (pcSlice->getSPS()->getTMVPFlagsPresent())
       {
-#if I0044_SLICE_TMVP
+#if H_MV
         WRITE_FLAG( pcSlice->getEnableTMVPFlag() ? 1 : 0, "slice_temporal_mvp_enabled_flag" );
 #else