Index: branches/HTM-12.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-12.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1077)
+++ branches/HTM-12.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1078)
@@ -436,8 +436,14 @@
   
   // Profile and level
+#if H_MV
   ("Profile", cfg_profiles,   string(""),           "Profile in VpsProfileTierLevel (Indication only)")
   ("Level",   cfg_levels ,    string(""),           "Level indication in VpsProfileTierLevel (Indication only)")
   ("Tier",    cfg_tiers  ,    string(""),           "Tier indication in VpsProfileTierLevel (Indication only)")
   ("InblFlag",m_inblFlag ,    std::vector<Bool>(0), "InblFlags in VpsProfileTierLevel (Indication only)" )
+#else
+  ("Profile", m_profile,   Profile::NONE, "Profile to be used when encoding (Incomplete)")
+  ("Level",   m_level,     Level::NONE,   "Level limit to be used, eg 5.1 (Incomplete)")
+  ("Tier",    m_levelTier, Level::MAIN,   "Tier to use for interpretation of --Level")
+#endif
   ("ProgressiveSource", m_progressiveSourceFlag, false, "Indicate that source is progressive")
   ("InterlacedSource",  m_interlacedSourceFlag,  false, "Indicate that source is interlaced")
Index: branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1077)
+++ branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1078)
@@ -4382,4 +4382,5 @@
 , m_nonPackedConstraintFlag(false)
 , m_frameOnlyConstraintFlag(false)
+#if H_MV
   , m_max12bitConstraintFlag      ( false )
   , m_max10bitConstraintFlag      ( false )
@@ -4392,8 +4393,10 @@
   , m_lowerBitRateConstraintFlag  ( false )
   , m_inbldFlag                   ( false )
+#endif
 {
   ::memset(m_profileCompatibilityFlag, 0, sizeof(m_profileCompatibilityFlag));
 }
 
+#if H_MV
 Bool ProfileTierLevel::getV2ConstraintsPresentFlag()
 {
@@ -4440,5 +4443,5 @@
   copyV2ConstraintFlags      ( ptlRef );
 }
-
+#endif
 
 TComPTL::TComPTL()
Index: branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1077)
+++ branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1078)
@@ -367,5 +367,5 @@
 /////////////////////////////////////////////////////////////////////////////////
 // TBD: Check if integration is necessary. 
-
+#define H_MV_HLS_PTL_LIMITS                  0
 #define H_MV_HLS7_GEN                        0  // General changes (not tested)
 
@@ -434,7 +434,8 @@
 
 #define MAX_VPS_NUM_HRD_PARAMETERS                1024
+#if H_MV
 #define MAX_NUM_SUB_LAYERS                        7
 #define MAX_NUM_SIGNALLED_PARTITIONING_SCHEMES    16
-
+#endif
 #define MAX_VPS_OP_SETS_PLUS1                     1024
 #if H_MV
Index: branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1077)
+++ branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1078)
@@ -761,7 +761,7 @@
 
     parsePTL(pcSPS->getPTL(), 1, pcSPS->getMaxTLayers() - 1);
+#if H_MV
     pcSPS->getPTL()->inferGeneralValues ( true, 0, NULL ); 
     pcSPS->getPTL()->inferSubLayerValues( pcSPS->getMaxTLayers() - 1, 0, NULL );
-#if H_MV
   }
 #endif
@@ -2770,5 +2770,4 @@
       READ_CODE(8,ignore,"slice_header_extension_data_byte");
     }  
-#endif
   }
   else
@@ -2777,4 +2776,5 @@
     rpcSlice->setPocMsbValPresentFlag( false );
   }
+#endif
   m_pcBitstream->readByteAlignment();
 
@@ -2923,4 +2923,5 @@
   ptl->setFrameOnlyConstraintFlag(uiCode ? true : false);
   
+#if H_MV
   if( ptl->getV2ConstraintsPresentFlag() )
   {
@@ -2952,4 +2953,9 @@
     READ_FLAG(uiCode, "reserved_zero_bit");
   }
+#else
+  READ_CODE(16, uiCode, "XXX_reserved_zero_44bits[0..15]");
+  READ_CODE(16, uiCode, "XXX_reserved_zero_44bits[16..31]");
+  READ_CODE(12, uiCode, "XXX_reserved_zero_44bits[32..43]");
+#endif
 }
 
Index: branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1077)
+++ branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 1078)
@@ -132,5 +132,5 @@
   virtual Void updateContextTables( SliceType eSliceType, Int iQp ) = 0;
   
-  virtual ~TDecEntropyIf() {}; 
+  virtual ~TDecEntropyIf() {}
 };
 
Index: branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1077)
+++ branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecSbac.cpp	(revision 1078)
@@ -699,7 +699,6 @@
 
   UInt uiSymbol;
+#if H_3D_QTLPC
   Bool bParseSplitFlag    = true;
-
-#if H_3D_QTLPC
 
   TComVPS *vps           = pcCU->getPic()->getSlice(0)->getVPS();
Index: branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1077)
+++ branches/HTM-12.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1078)
@@ -788,4 +788,6 @@
   m_apcSlicePilot->setLayerId( nalu.m_layerId );
   m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder, m_targetOptLayerSetIdx );
+#else
+  m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder);
 #endif
   // set POC for dependent slices in skipped pictures