Index: branches/HTM-12.1-dev0/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/MV-HEVC/NonCTC/layerwise_startup_IBP_3view.cfg	(revision 1082)
@@ -44,5 +44,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 8 16 12      # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR  // Currently only working for CDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI  // Currently only working for CDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
 #                           QPfactor      betaOffsetDiv2   #ref_pics_active  reference pictures     deltaRPS     reference idcs          ilPredLayerIdc       refLayerPicPosIl_L1
Index: branches/HTM-12.1-dev0/cfg/MV-HEVC/baseCfg_2view.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/MV-HEVC/baseCfg_2view.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/MV-HEVC/baseCfg_2view.cfg	(revision 1082)
@@ -63,5 +63,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 24          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 
@@ -143,10 +143,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/MV-HEVC/baseCfg_3view.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/MV-HEVC/baseCfg_3view.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/MV-HEVC/baseCfg_3view.cfg	(revision 1082)
@@ -78,5 +78,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 24          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 
@@ -168,10 +168,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: branches/HTM-12.1-dev0/cfg/MV-HEVC/fullCfg.cfg
===================================================================
--- branches/HTM-12.1-dev0/cfg/MV-HEVC/fullCfg.cfg	(revision 1073)
+++ branches/HTM-12.1-dev0/cfg/MV-HEVC/fullCfg.cfg	(revision 1082)
@@ -153,5 +153,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 24          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 
@@ -274,10 +274,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.