Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view+depth_AllIntra.cfg	(revision 1084)
@@ -77,5 +77,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
@@ -142,10 +142,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 LFCrossTileBoundaryFlag             : 1                  # In-loop filtering is across or not across tile boundary.
                                                        # 0:not across, 1: across                                                       
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_2view_AllIntra.cfg	(revision 1084)
@@ -65,5 +65,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
@@ -127,10 +127,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view+depth_AllIntra.cfg	(revision 1084)
@@ -91,5 +91,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 
@@ -160,10 +160,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 LFCrossTileBoundaryFlag             : 1                  # In-loop filtering is across or not across tile boundary.
                                                        # 0:not across, 1: across                                                       
Index: trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/allintra/baseCfg_3view_AllIntra.cfg	(revision 1084)
@@ -76,5 +76,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
 Frame1    : B  1  1  0.442   0  0  0  4  0                  0                    0
@@ -139,10 +139,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 
 LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
Index: trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/fco/baseCfg_3view+depth.cfg	(revision 1084)
@@ -91,5 +91,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 24          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 
@@ -209,10 +209,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 LFCrossTileBoundaryFlag             : 1                  # In-loop filtering is across or not across tile boundary.
                                                        # 0:not across, 1: across                                                       
Index: trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1066)
+++ trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1084)
@@ -91,5 +91,5 @@
 #======== Coding Structure =============
 IntraPeriod                   : 24          # Period of I-Frame ( -1 = only first)
-DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CRA, 2:IDR, 3:Recovery Point SEI
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
 
@@ -209,10 +209,10 @@
 
 #============ Tiles ================
-UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+TileUniformSpacing                  : 0                # 0: the column boundaries are indicated by TileColumnWidth array, the row boundaries are indicated by TileRowHeight array
                                                        # 1: the column and row boundaries are distributed uniformly
-NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
-ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
-NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
-RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+NumTileColumnsMinus1                : 0                # Number of tile columns in a picture minus 1
+TileColumnWidthArray                : 2 3              # Array containing tile column width values in units of CTU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of tile rows in a picture minus 1
+TileRowHeightArray                  : 2                # Array containing tile row height values in units of CTU (from top to bottom in picture)
 LFCrossTileBoundaryFlag             : 1                  # In-loop filtering is across or not across tile boundary.
                                                        # 0:not across, 1: across                                                       